Solved What Version of itunes do I need for a ibook G4?

September 7, 2014 at 09:41:11
Specs: 10.5.8 Leopard
I have an iBook G4 & was wondering what version of itunes i need for it?it has a 30GB hard drive 1GHz PowerPC G4 processor 512MB DDR RAM,It has OS X 10.5.8 Leopard,Thanks!

See More: What Version of itunes do I need for a ibook G4?

Report •

#1
September 7, 2014 at 14:19:50
✔ Best Answer

Report •
Related Solutions


Ask Question